/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author apple
 */
public class PersonImpl implements Person, Comparable<Person> {
    
    private String name, surname;

    public PersonImpl(String name, String surname) {
        this.name = name;
        this.surname = surname;
    }
    
    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public int compareTo(Person person) {
        StringBuilder person1=new StringBuilder(surname);
        person1.append(name);
        
        StringBuilder person2 = new StringBuilder(person.getSurname());
        person2.append(person.getName());
        
        return person1.toString().compareTo(person2.toString());
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PersonImpl other = (PersonImpl) obj;
        if (this.name != other.name && (this.name == null || !this.name.equals(other.name))) {
            return false;
        }
        if (this.surname != other.surname && (this.surname == null || !this.surname.equals(other.surname))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 11 * hash + (this.name != null ? this.name.hashCode() : 0);
        hash = 11 * hash + (this.surname != null ? this.surname.hashCode() : 0);
        return hash;
    }
    
    public String toString(){
        return surname + " " + name;
    }

}
